ZapytanieBetaQuery.matrix
One matrix by its identifier, archived or not; null when there is no such matrix.
| Wymagany zakres | warehouse:read |
|---|---|
| Dostępne od | Prynt 0.28.0 |
| Stabilność | Beta (co to znaczy) |
Argumenty
| Nazwa | Typ | Opis |
|---|---|---|
idwymagane | ID! | Identifier of the matrix. |
Zwraca
Przykład
query Matrix($id: ID!) { matrix(id: $id) { id code name matrixType material widthMm heightMm workingTemperature }}{ "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b05"}curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \ -H "Authorization: Bearer $PRYNT_API_KEY" \ -H "Content-Type: application/json" \ --data-binary @- <<'JSON'{ "query": "query Matrix($id: ID!) {\n matrix(id: $id) {\n id\n code\n name\n matrixType\n material\n widthMm\n heightMm\n workingTemperature\n }\n}", "variables": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b05" }}JSON{ "data": { "matrix": { "id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b05", "code": "MT12", "name": "Logo Lipowe tłoczenie", "matrixType": "EMBOSSING", "material": "BRASS", "widthMm": 80, "heightMm": 40, "workingTemperature": 110 } }}